View Issue Details

IDProjectCategoryLast Update
0001145HellionBug2019-10-07 07:52
ReportergoozieAssigned To 
PrioritynormalReproducibilityalways 
Status new 
Product Version0.5.0 
Target VersionFixed in Version 
Summary0001145: 0.5.1 - Fabricator storage shows 500 capacity but can only be filled to 200
Description

Since 0.5.1 the Fabricator shows a capacity of 500 but it can still only be filled up to 200.
Shredder does not show any warning anymore and shredded materials exceeding the 200 limit are voided.

Relog / Restart do not resolve the issue

Steps To Reproduce

1.) via Transfer
Transfer > 200 cargo into Fabricator storage.
Loading screen will offer to load everything.
Effectively transferred only up to 200.

2.) via Shredder
Load 200 cargo into Fabricator storage.
Shred something
No additional cargo - no Warning that the storage is full.

TagsNo tags attached.

Activities

goozie

goozie

2019-07-12 23:18

reporter  

Natjur

Natjur

2019-07-17 02:02

reporter   ~0002126

Btw, if you update the json files on the server, its fixed. So it appear like the client was update to 500, but the server files were not changed and still set to 200

I-Dragonwrath

I-Dragonwrath

2019-07-20 00:08

reporter   ~0002129

This is not likely to be fixed on public without a wipe as every fab in the .save needs to be edited to have 500.0 base capacity. Correcting only the structures.JSON will ensure all future fabs have 500.0 capacity so it could be left to the players to swap out their old fabs...

It can be corrected by finding these exact lines and changing the value from 200.0 to 500.0

"AllowOnlyOneType": false,
"Capacity": 200.0,
"Name": "Cargo",

goozie

goozie

2019-10-07 07:52

reporter   ~0002158

I confirm this has been fixed in 0.5.2

Ticket can be closed.

Issue History

Date Modified Username Field Change
2019-07-12 23:18 goozie New Issue
2019-07-12 23:18 goozie File Added: HELLION_2019-07-12_23-10-35.png
2019-07-12 23:18 goozie File Added: HELLION_2019-07-12_23-13-32.png
2019-07-12 23:18 goozie File Added: HELLION_2019-07-12_23-13-52.png
2019-07-12 23:18 goozie File Added: HELLION_2019-07-12_23-14-05.png
2019-07-17 02:02 Natjur Note Added: 0002126
2019-07-20 00:08 I-Dragonwrath Note Added: 0002129
2019-10-07 07:52 goozie Note Added: 0002158